WHEREIS(1)

NOM
whereis - Rechercher les fichiers exécutables, les sources et les pages de manuel d'une commande

SYNOPSIS

whereis [options] [-BMS répertoire ... -f] nom ...

DESCRIPTION

whereis recherche les fichiers binaires, de source et de manuel pour les noms de commande indiqués. Les noms des fichiers sont obtenus en supprimant le chemin d'accès. Les préfixes de la forme s. utilisés pour le contrôle du code source sont également pris en charge. whereis recherche le programme demandé aux endroits normalisés de Linux et aux endroits indiqués par $PATH et $MANPATH.

Les restrictions de recherche (option -b, -m et -s) sont cumulatives et s’appliquent aux motifs nom suivants sur la ligne de commande. Toute nouvelle restriction de recherche réinitialise le masque de recherche. Par exemple,

    whereis -bm ls tr -m gcc

recherche les binaires et pages de manuel pour « ls » et « tr », mais seulement les pages de manuel pour « gcc ».

Les options -B, -M et -S réinitialisent les chemins de recherche pour les motifs nom suivants. Par exemple,

    whereis -m ls -M /usr/share/man/man1 -f cal

recherche les pages de manuel « ls » dans tous les chemins par défaut, mais seulement dans le répertoire /usr/share/man/man1 pour « cal ».

OPTIONS

-b
    Chercher les exécutables.

-m
    Chercher les manuels.

-s
    Chercher les sources.

-u
    Ne montrer que les noms de commande qui ont des entrées inhabituelles. Une commande est dite inhabituelle si elle n’a pas une seule entrée pour chaque type demandé explicitement. Ainsi, « whereis -m -u * » recherche les fichiers du répertoire actuel qui n'ont soit pas de fichier de documentation, soit plus d’un.

-B liste
    Limiter les répertoires où whereis cherche les exécutables, à l’aide d’une liste de répertoires séparés par des espaces.

-M liste
    Limiter les répertoires où whereis cherche les manuels et la documentation au format Info, à l’aide d’une liste de répertoires séparés par des espaces.

-S liste
    Limiter les répertoires où whereis cherche les sources, à l’aide d’une liste de répertoires séparés par des espaces.

-f
    Terminer la liste de répertoires et signaler le début des noms de fichiers. Cette option est obligatoire quand une des options -B, -M ou -S est utilisée.

-l
    Afficher la liste des chemins effectifs de recherche que whereis utilise. Si ni -B, ni -M ni -S ne sont indiquées, les chemins codés en dur que la commande a pu trouver sur le système seront affichés.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

CHEMINS DE RECHERCHE DE FICHIERS

Par défaut, whereis essaye de trouver les fichiers définis avec des motifs joker, dans les chemins codés en dur. La commande tente d’utiliser le contenu des variables d’environnement $PATH et $MANPATH comme chemins de recherche par défaut. La façon la plus facile de connaître les chemins utilisés est d’ajouter l’option d’affichage -l. Les effets de -B, -M et -S sont affichés avec -l.

ENVIRONNEMENT

WHEREIS_DEBUG=all
    Activer la sortie de débogage.

EXEMPLES

Pour trouver tous les fichiers dans /usr/bin non documentés dans /usr/man/man1 ou sans source dans /usr/src :

cd /usr/bin whereis -u -ms -M /usr/man/man1 -S /usr/src -f *

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande whereis fait partie du paquet util-linux qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.